Subject: Re: bug#24677: Failure in automatic tests for guile 2.0.13

From: Andy Wingo <[email-masked]>
Date: Wed, 01 Mar 2017 12:35:30 +0100

On Wed 12 Oct 2016 18:49, Russell Rezaian <[email-masked]> writes:

> Hello,
>
> Have just been building guile 2.0.13 on a small collection of Macs. Several different OS versions.
>
> Compile completes successfully.
>
> When I run make check, however, I get an error:
>
> with GUILE_LOAD_PATH=/Users/rjr/Documents/build/guile-2.0.13/test-suite
> Running 00-initial-env.test
> Running 00-repl-server.test
> FAIL: check-guile

I believe I have fixed this.  The problem was that in Guile builds
without threads, the REPL server tests should not be run.  Additionally
these tests were failing to ignore SIGPIPE.

Thanks for the report,

Andy